Bug 825937 - symbol lookup error: /usr/lib64/audacious/Input/xmp-audacious3.so: undefined symbol: tuple_associate_string
symbol lookup error: /usr/lib64/audacious/Input/xmp-audacious3.so: undefined ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 03:01 EDT by Michael Schwendt
Modified: 2012-07-02 18:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 18:32:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix API calls (1.32 KB, patch)
2012-05-29 03:01 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2012-05-29 03:01:50 EDT
Created attachment 587319 [details]
fix API calls

Description of problem: An API change in Audacious 3.2 has been missed in the patch applied to the XMP plugin. Attached add-on patch should fix it, but I'm not up-to-date on latest XMP release, which is available, too.


Version-Release number of selected component (if applicable):
audacious-plugin-xmp-3.4.0-6.fc17.x86_64


How reproducible:
In Audacious, enable the "Search Tool" plugin, then refresh a music collection that contains files understood by the XMP plugin.
Comment 1 Fedora Update System 2012-06-04 14:48:02 EDT
xmp-3.4.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xmp-3.4.0-7.fc17
Comment 2 Fedora Update System 2012-06-06 22:42:42 EDT
Package xmp-3.4.0-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmp-3.4.0-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8941/xmp-3.4.0-7.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-15 20:05:14 EDT
Package xmp-3.4.0-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xmp-3.4.0-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8941/xmp-3.4.0-10.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-02 18:32:41 EDT
xmp-3.4.0-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.